'use strict';
var gulp = require('gulp');
var prefix = require('gulp-autoprefixer'); //префиксы
var concatCss = require('gulp-concat-css'); //конкатенация
var minifyCss = require('gulp-minify-css'); //минификация
var rename = require('gulp-rename');		//переименовывание
var less = require('gulp-less');

var SRC_PATH = '../media/';
var DEST_PATH = '../~dev_rating/static/';

gulp.task('less', function () {
	gulp.src(SRC_PATH + 'less/**/*.less')
	.pipe(less())
	.pipe(gulp.dest(DEST_PATH + 'css/'));
});

gulp.task('copyCss', function() {
  gulp.src(SRC_PATH + 'css/**/*.css').pipe(gulp.dest(DEST_PATH + 'css/'));
});

gulp.task('copyJs', function() {
  gulp.src(SRC_PATH + 'js/**/*.js').pipe(gulp.dest(DEST_PATH + 'js/'));
});

// gulp.task('css', ['less'], function() {
//   return gulp.src('css/*.css')
//     .pipe(concatCss('styles/bundle.css'))
//     .pipe(prefix('last 2 versions', '> 1%', 'ie9'))
//     .pipe(minifyCss(''))
//     .pipe(rename({suffix: '.min'}))
//     .pipe(gulp.dest('out/'));
// });

// gulp.task('copyHtml', function() {
//   gulp.src('source/*.html').pipe(gulp.dest('public'));
// });

gulp.task('watch', function () {
	gulp.watch(SRC_PATH + 'css/*.css', ['copyCss']);
	gulp.watch(SRC_PATH + 'less/*.less', ['less']);
}); 

// gulp.task('watch', function () {
// 	gulp.watch(SRC_PATH + 'less/*.less', ['less']);
// }); 


gulp.task('default', ['less','copyCss', 'copyJs']);
